Get local streaming audience

Note about Spotify monthly listeners: Spotify uses 28 rolling days (4 weeks of 7 days) to measure a month. It makes sense as the number of days in a month varies from 28 to 31, and people’s behavior depends more on the days of the week than on dates within a single month. This way, there is always an equal number of each day within the 28 rolling day ‘monthly listener’ stats.

We update the global monthly listeners stat each day. Once a week, the endpoint also returns Spotify's "Where people listen" stats, showing the top 50 cities for monthly listeners.

The API response may not return a value for all dates, as we may miss a day or two. These data points may still show on our UI because we are interpolating the missing data between two points.


Note about YouTube views: YouTube's view count is calculated by combining each official version of a song, including the official music video, user-generated content that uses the official song, and lyric videos.

Disclaimer: YouTube doesn't aggregate views for all artists on charts.youtube.com, only for a portion of them.


If you want us to start tracking artists' views data across all channels featuring their music, use the “Add artist link” endpoint to submit a new source. The URL structure should look like this: https://charts.youtube.com/artist/slug.

Don't know the artist UUID yet? Use the Get artist by platform ID or Search artist by name endpoints.

Request

GET /api/v2/artist/{uuid}/streaming/{platform}

Path parameters

Parameter Value Description Additional
uuid string An artist UUID Required
platform string A streaming platform code Required

Query string parameters

Parameter Value Description Additional
startDate string Optional period start date (format YYYY-MM-DD). If not provided, the start date defaults to 30 days before the end date. Optional
endDate string Optional period end date (format YYYY-MM-DD) Optional
offset integer Get results starting from position Optional
limit integer Number of results (max. 100) Optional

Response

Code Description Resource
200 OK

A Local Streaming Audience

Streaming Plot Collection
400 Bad Request

Invalid date provided

401 Unauthorized

You are not logged in

403 Forbidden

This endpoint is not included in your current plan, reach out to help@soundcharts.com if you want access.

404 Not Found

Artist not found

Explore

An artist UUID

A streaming platform code

Optional period start date (format YYYY-MM-DD). If not provided, the start date defaults to 30 days before the end date.

Optional period end date (format YYYY-MM-DD)

Get results starting from position

Number of results (max. 100)

Try it out